## sbcl 1.3.0

=== debian/changelog ===
sbcl (2:1.3.0-1~bpo8+1) jessie; urgency=medium

  * Rebuild for jessie-backports.
  * No changes needed

 -- Wookey <wookey@debian.org>  Fri, 04 Dec 2015 13:16:19 +0000

sbcl (2:1.3.0-1) unstable; urgency=medium

  * New upstream release
    changes in sbcl-1.3.0 relative to sbcl-1.2.16:
      * minor incompatible change: the environment passed to a macro/setf/deftype
        expander is not always an object of type SB-KERNEL:LEXENV.
        It can be nil, as is permissible by the standard.
      * enhancement: ported to ARM64 Linux.
      * enhancement: a new interpreter is included which has many benefits
        over sb-eval. It is disabled by default. See src/interpreter/README
        for instructions to enable it, and further details.
      * bug fix: calling COMPILE when SB-EXT:*EVALUATOR-MODE* was :INTERPRET
        would fail to perform "normal semantic processing such as macro expansion"
        as stipulated by X3J13 issue LOAD-TIME-EVAL.
      * bug fix: SB-UNICODE:CONFUSABLE-P no longer treats "<" and the empty
        string as confusable.  (lp#1504739)
      * bug fix: (ASSERT (COMPUTE-IT ...)) would expand incorrectly
        if COMPUTE-IT was a local macro that shadowed a global function.
      * bug fix: SB-POSIX:CFSETISPEED and SB-POSIX:CFSETOSPEED now work properly
        on platforms that use only the minimum specified set of fields in struct
        termios (verified on Linux, still known not to work on FreeBSD and NetBSD,
        very probably others).  (partial fix for lp#1500951)
    changes in sbcl-1.2.16 relative to sbcl-1.2.15:
      * enhancement: by default, timers with a repeat interval do not "catch up"
        by repeatedly calling their function after a clock discontinuity such as a
        suspend and resume cycle
      * bug fix: correctly restore multiple values on the stack in the presence of
        alien calls. (lp#1489590)
      * bug fix: MAKE-STRING-OUTPUT-STREAM enforces that :ELEMENT-TYPE
        is a subtype of CHARACTER.
      * bug fix: an EQL method specializer no longer causes garbage retention
        if there are no extant methods using the specializer. (lp#492851)
  * Enable arm64 supported now

 -- Christoph Egger <christoph@debian.org>  Tue, 10 Nov 2015 23:41:45 +0100

sbcl (2:1.2.15-2) unstable; urgency=medium

  * Fix arch=all only build

 -- Christoph Egger <christoph@debian.org>  Fri, 11 Sep 2015 18:32:47 +0200

sbcl (2:1.2.15-1) unstable; urgency=medium

  * New upstream version
    changes in sbcl-1.2.15 relative to sbcl-1.2.14:
      * new feature: DEPRECATION declaration for functions, variables and types
        causes {EARLY,LATE,FINAL}-DEPRECATION-WARNING to be signaled when subject
        of the declaration is used. Integrated with DESCRIBE, DOCUMENTATION and
        SB-CLTL2:{VARIABLE,FUNCTION}-INFORMATION. Documented in the "Deprecation"
        section of the manual.
      * enhancement: ASDF updated to 3.1.5. (lp#1476867)
      * enhancement: definitions within PROGN get proper source locations when
        compiled (needs latest Slime to take advantage of this). (lp#1473147)
      * enhancement: source locations for DEFCLASS slots now point directly to the
        slot definitions, not the whole DEFCLASS form.
      * bug fix: better source location in the presence of quoted forms.
        (lp#1370561)
      * bug fix: better source locations inside backqoute. (lp#1361502)
      * bug fix: HANDLER-BIND requires that the handler-function be
        a function designator at the time of binding establishment. (lp#1480679)
      * bug fix: inlined functions surrounded by nested macrolets are properly
        inlined. (lp#309123)

 -- Christoph Egger <christoph@debian.org>  Fri, 11 Sep 2015 16:37:23 +0200

=== debian/rules ===
#!/usr/bin/make -f

LOCALE_PATH=debian/tmpdir/usr/lib/locale
LOCALE_NAME=en_US
LOCALE_CHARSET=UTF-8
HOME=$(CURDIR)
export HOME
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export sbcl_arch=$(shell dpkg-architecture -qDEB_BUILD_ARCH |sed s/i386/x86/)
ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq (${ARCH},powerpc)
   CFLAGS:=-O2
endif

pkg=sbcl
TARGET=debian/sbcl
SOURCE_TARGET=debian/sbcl-source
DOC_TARGET=debian/sbcl-doc
DESTDIR=$(CURDIR)/debian/tmp/usr
FEATURES=--fancy

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifeq (,$(BOOTSTRAPLISP))
	BOOTSTRAPLISP=/usr/bin/sbcl --disable-debugger --no-sysinit --no-userinit
endif

ifneq (,$(filter kfreebsd-%,$(sbcl_arch)))
	FEATURES += --with-os-provides-dlopen --with-sb-pthread-futex
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir
#   create the locale:
	mkdir -p ${LOCALE_PATH}
	localedef -i "${LOCALE_NAME}" -f "${LOCALE_CHARSET}" "${LOCALE_PATH}/${LOCALE_NAME}.${LOCALE_CHARSET}"
	export LC_ALL=${LOCALE_NAME}.${LOCALE_CHARSET}
	export LANG=en_US.UTF-8
	export LOCPATH=${LOCALE_PATH} 

	+echo environment:
	env
	+echo

#   make scripts runable
	chmod a+x ./src/runtime/linux-nm ./make.sh ./install.sh ./clean.sh ./tools-for-build/canonicalize-whitespace
	chmod a+x ./tools-for-build/whitespacely-canonical-filenames ./tools-for-build/grep-noncanonical-whitespace  
	chmod a+x ./tools-for-build/check-canonical-whitespace ./tools-for-build/canonicalize-whitespace-1

	./make.sh --xc-host="$(BOOTSTRAPLISP)" --prefix=$(CURDIR)/stage1 $(FEATURES)
	./install.sh
	chmod 100 stage1
	./clean.sh
	./make.sh --prefix="/usr/" --xc-host="$(CURDIR)/stage1/bin/sbcl --no-sysinit --no-userinit --disable-debugger" $(FEATURES)

	make -C doc/internals all html

#   start running tests
	-GNUMAKE=make sh -c 'cd tests && sh ./run-tests.sh' || printf "the tests failed\n"

	src/runtime/sbcl --core output/sbcl.core --eval '(sb-ext:set-sbcl-source-location "/usr/share/sbcl-source/")' \
	                 --eval '(sb-ext:save-lisp-and-die "output/sbcl.core")'

	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp: build-arch
	dh_testdir
	cd doc/manual && make docstrings && make
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot

	rm -rf target || true
	-chmod 700 stage1
	rm -rf stage1 || true
	rm -rf debian/tmpdir || true
	rm -rf .fontconfig || true
#   Add here commands to clean up after the build process.
	GNUMAKE=make sh clean.sh || true
	(cd src/runtime ; touch Config ; make clean ) || true
#   clean up CVS stuff
	rmdir contrib/systems/ obj/ output/ || true

	make -C doc/internals clean

	dh_clean
	rm -fr .texmf-var

install:  build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	INSTALL_ROOT="$(DESTDIR)" sh install.sh

	dh_install

	cp debian/binfmt $(TARGET)/usr/share/binfmts/sbcl
	cp debian/sbcl-run $(TARGET)/usr/lib/sbcl
	chmod a+x $(TARGET)/usr/lib/sbcl/sbcl-run

	find $(TARGET)/usr/lib/sbcl/ -type f -name \*.c -exec chmod -x '{}' \;

#   move the indep stuff
	dh_installinfo -psbcl-doc $(DESTDIR)/share/info/sbcl.info 
	rm $(DESTDIR)/share/info/asdf.info $(DESTDIR)/share/info/sbcl.info
	rm $(DESTDIR)/share/doc/sbcl/asdf.pdf

	cp debian/index-docs.html \
		$(DOC_TARGET)/usr/share/doc/sbcl-doc/html/index.html

	rm -f $(SOURCE_TARGET)/usr/share/sbcl-source/contrib/asdf-install/asdf-install	
	rm -f $(SOURCE_TARGET)/usr/share/sbcl-source/contrib/asdf/LICENSE


	find $(SOURCE_TARGET)/usr/share/sbcl-source -type f -name \*.fasl -or -name \*.o -or -name \*.log \
		-or -name \*.so -or -name a.out | xargs rm
	find $(SOURCE_TARGET)/usr/share/sbcl-source/ -type f -name \*.c -exec chmod -x '{}' \;
	rm $(SOURCE_TARGET)/usr/share/sbcl-source/src/runtime/sbcl  
	rm $(SOURCE_TARGET)/usr/share/sbcl-source/src/runtime/sbcl.nm 

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installdebconf -i
	dh_installcron -i
	dh_installinfo -i
	dh_installman -i
	dh_link -i
	dh_lintian -i
	dh_compress -i -X *.html
	dh_fixperms -i
#	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name .cvsignore -print0 | xargs -t0 rm -rf || true
#	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name CVS -print0 | xargs -t0 rm -rf || true
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
#	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name CVS -or -name .cvsignore -print0 | xargs -t0 rm -rf || true
	dh_installman -a
	dh_strip -a
	dh_link -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_lisp sbcl
	dh_installdeb -a
	dh_shlibdeps -a

#   add the FASL version of this release to substvars
	stage1/bin/sbcl --load "debian/fasl-version.lisp"

	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## sbcl 1.3.1

=== contrib/asdf/Makefile ===
DEST=$(SBCL_PWD)/obj/sbcl-home/contrib/
ASDF_FASL=$(DEST)/asdf.fasl
UIOP_FASL=$(DEST)/uiop.fasl
FASL=$(UIOP_FASL) $(ASDF_FASL)

fasl:: $(UIOP_FASL) $(ASDF_FASL)
$(UIOP_FASL):: uiop.lisp ../../output/sbcl.core
	mkdir -p $(DEST)
	$(SBCL) --eval '(compile-file #p"SYS:CONTRIB;ASDF;UIOP.LISP" :output-file (parse-native-namestring "$@"))' </dev/null

$(ASDF_FASL):: asdf.lisp ../../output/sbcl.core $(UIOP_FASL)
	if [ -d asdf-upstream ] ; then rm -rf asdf-upstream ; fi
	mkdir -p $(DEST)
	$(SBCL) --eval '(compile-file #p"SYS:CONTRIB;ASDF;ASDF.LISP" :output-file (parse-native-namestring "$@"))' </dev/null

install::
	cp $(FASL) "$(BUILD_ROOT)$(INSTALL_DIR)"

test:: $(FASL)
	true

UPSTREAM=../../obj/asdf-upstream
up::
	sh pull-asdf.sh
	ln -f $(UPSTREAM)/doc/asdf.texinfo asdf.texinfo
	ln -f $(UPSTREAM)/README.md README.md

=== debian/changelog ===
sbcl (2:1.3.1-1ubuntu2) xenial; urgency=medium

  * debian/patches/fix-texinfo-ftbfs: Grab patch from Debian to fix FTBFS with
    new texinfo.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 19 Mar 2016 17:58:20 -0500

sbcl (2:1.3.1-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Do not leave stage1 unreadable, fixing an FTBFS on the
      Launchpad buildds with pkgstriptranslations.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 18 Feb 2016 03:23:21 -0500

sbcl (2:1.3.1-1) unstable; urgency=medium

  * New upstream release
    changes in sbcl-1.3.1 relative to sbcl-1.3.0:
    * enhancement: SB-THREAD support for ARM64.
    * enhancement: compiling an out-of-line DEFSTRUCT constructor call
      will warn if a defaulted value is incompatible with its slot type.
    * enhancement: a local INLINE declaration on a structure constructor
      will work as intended, subject to any other factors that inhibit
      inlining, even if the DEFSTRUCT was not itself within a global
      INLINE proclamation for the named constructor
    * enhancement: SB-EXT:DYNAMIC-SPACE-SIZE is now defined for cheneygc.
    * enhancement: x86[-64] platforms support SB-EXT:CAS on structure slots
      of type SB-EXT:WORD
    * enhancement: the interleaved structure slot optimization from
      release 1.2.6 has been ported to 32-bit x86, Sparc, PowerPC, ARM64.
    * enhancement: SB-THREAD:JOIN-THREAD signals a proper error when an attempt
      is made to join the current thread
    * bug fix: NTH-VALUE does not cause stack overflow. (lp#1511419)
    * bug fix: structure constructor type checking is better. (lp#1508735)
    * bug fix: supplied-p variables for unused optional or keyword variables no
      longer confuse SB-DI:PARSE-COMPILED-DEBUG-FUN-LAMBDA-LIST (and thus the
      backtrace machinery) (lp#1498644)
    * bug fix: Backtrace correctly handles undefined-function frames on MIPS.
    * bug fix: WITH-FLOAT-TRAPS-MASKED correctly clears accrued traps on MIPS
      (fixes issues with floating-point type derivation in the compiler).
    * bug fix: FLOAT-NAN-P and FLOAT-TRAPPING-NAN-P now work correctly on MIPS
      and HPPA.
    * bug fix: MIPS context register access now masks to 32 bits (fixing issues
      parsing negative-fixnum values for internal-error arguments and escaped
      debug variables on 64-bit CPUs).
    * bug fix: (SETF SAP-REF-DOUBLE) with constant offset on big-endian MIPS
      now works correctly.
    * bug fix: Callback parameter (argument) handling on MIPS is now vastly
      more correct.
    * bug fix: %DECREMENT-SEMAPHORE adjusts the remaining timeout after a
      spurious wakeup

 -- Christoph Egger <christoph@debian.org>  Sat, 02 Jan 2016 13:05:20 +0100

sbcl (2:1.3.0-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Do not leave stage1 unreadable, fixing an FTBFS on the
      Launchpad buildds with pkgstriptranslations.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 19 Nov 2015 22:54:01 -0500

=== debian/control ===
Source: sbcl
Section: lisp
Priority: optional
Homepage: http://www.sbcl.org
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders:
 Peter Van Eynde <pvaneynd@debian.org>,
 Christoph Egger <christoph@debian.org>
Build-Depends: dh-lisp,
 debhelper (>> 7.0.0),
 sbcl (>> 1:0.9.5.50-9),
 sbcl-source,
 texinfo,
 zlib1g-dev,
 texlive-extra-utils,
 texlive,
 locales,
 graphviz,
 ghostscript,
 texlive-generic-recommended,
 texlive-font-utils,
 cm-super-minimal,
 time,
 netbase
Build-Conflicts: locales-all
Standards-Version: 3.9.6
Vcs-Git: http://anonscm.debian.org/git/pkg-common-lisp/sbcl.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/sbcl.git;a=summary

Package: sbcl
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 powerpc armhf armel arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: cl-clx-sbcl (<= 0.7.0-1),
 common-lisp-controller (<< 6.18),
 cl-asdf (<< 2:3.1.5)
Suggests: sbcl-doc,
 sbcl-source,
 slime
Provides: lisp-compiler, ${sbcl:fasl-version}
Recommends: binfmt-support (>= 1.1.2)
Description: Common Lisp compiler and development system
 SBCL is a development environment for the ANSI Common Lisp language.
 It provides a native-code compiler and an integrated debugger, as well
 as all the features in the ANSI specification.
 .
 SBCL also contains other extensions to the ANSI specification, including
 a foreign-function interface, a pseudo-server API, user-extensible
 stream functionality, a Meta-Object Protocol, and an ability to run
 external processes.
 .
 To browse SBCL source definitions with development environments,
 install the sbcl-source package. For documentation on SBCL's usage
 and internals, the package sbcl-doc is provided.

Package: sbcl-doc
Replaces: sbcl (<< 1:0.8.20.5-3), sbcl-common (<= 1:0.9.13.0-2)
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: doc
Breaks: sbcl-common (<= 1:0.9.13.0-2)
Architecture: all
Description: Documentation for Steel Bank Common Lisp
 This package provides documentation for SBCL -- a development
 environment for the ANSI Common Lisp language.
 .
 The documents in this package cover SBCL-specific extensions to the
 language, explain how to use this Common Lisp implementation and how
 it differs from the ANSI standard.
 .
 The manual about SBCL's internals is also included in this package
 and may be of interest for people who intent to work with SBCL's
 source code.

Package: sbcl-source
Replaces: sbcl (<< 1:0.8.20.5-3), sbcl-common (<= 1:0.9.13.0-2)
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: sbcl-common (<= 1:0.9.13.0-2)
Architecture: all
Description: Source code files for SBCL
 This package provides the source code for SBCL -- a development
 environment for the ANSI Common Lisp language.
 .
 The source code is useful in conjunction with development
 environments and debuggers like SLIME, that allow macro expansion and
 lookup of source definitions.
 .
 Installing this package enables your source browser to dig deeply
 into the core of Steel Bank Common Lisp.

=== debian/rules ===
--- 
+++ 
@@ -64,6 +64,7 @@
 	chmod 100 stage1
 	./clean.sh
 	./make.sh --prefix="/usr/" --xc-host="$(CURDIR)/stage1/bin/sbcl --no-sysinit --no-userinit --disable-debugger" $(FEATURES)
+	chmod 700 stage1
 
 	make -C doc/internals all html

## sbcl 1.3.3

=== debian/changelog ===
sbcl (2:1.3.3-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Do not leave stage1 unreadable, fixing an FTBFS on the
      Launchpad buildds with pkgstriptranslations.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 26 Apr 2016 19:50:48 -0400

sbcl (2:1.3.3-1) unstable; urgency=medium

  * Patch texinfo manual for new texinfo (Closes: #815205). Thanks to
    Norbert Preining for the patch
  * New upstream release
    changes in sbcl-1.3.3 relative to sbcl-1.3.2:
    * enhancement: warn about argument mismatch for functions passed as
      arguments to other functions (e.g. REDUCE, MAP) at compile-time.
    * optimization: functions accepting other functions (e.g. REDUCE, FIND) can
      now be constant-folded if all function arguments are declared as foldable.
    * optimization: improved logical operations on integers of unknown type.
    * bug fix: exception handling no longer leaks memory on OS X. (lp#326238)
    changes in sbcl-1.3.2 relative to sbcl-1.3.1:
    * enhancement: {READ,WRITE}-SEQUENCE are much faster for some combinations
      of short sequences and stream types
    * enhancement: MAKE-LIST's result can be stack-allocated on x86-64
    * bug fix: WRITE-SEQUENCE no longer fails to write lists containing integers
      to bivalent streams
    * bug fix: LOGTEST (and hence ODDP) no longer conses when given fixnum
      arguments and small bit positions.  (lp#1277690)
    * bug fix: READ-FROM-STRING compiler-macro does not permute its arguments
    * bug fix: DEFUN of a function name that collides with a system-generated
      structure accessor does not confuse the runtime. (lp#540063)
    * bug fix: heap corruption from miscompiled RESTART-BIND. (lp#1530390)

 -- Christoph Egger <christoph@debian.org>  Tue, 15 Mar 2016 16:54:17 +0100

=== debian/control ===
--- 
+++ 
@@ -15,15 +15,14 @@
  zlib1g-dev,
  texlive-extra-utils,
  texlive,
- locales,
  graphviz,
  ghostscript,
  texlive-generic-recommended,
  texlive-font-utils,
  cm-super-minimal,
  time,
- netbase
-Build-Conflicts: locales-all
+ netbase,
+ locales-all
 Standards-Version: 3.9.6
 Vcs-Git: http://anonscm.debian.org/git/pkg-common-lisp/sbcl.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/sbcl.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,6 @@
 	dh_testdir
 #   create the locale:
 	mkdir -p ${LOCALE_PATH}
-	localedef -i "${LOCALE_NAME}" -f "${LOCALE_CHARSET}" "${LOCALE_PATH}/${LOCALE_NAME}.${LOCALE_CHARSET}"
 	export LC_ALL=${LOCALE_NAME}.${LOCALE_CHARSET}
 	export LANG=en_US.UTF-8
 	export LOCPATH=${LOCALE_PATH} 
@@ -55,9 +54,7 @@
 	+echo
 
 #   make scripts runable
-	chmod a+x ./src/runtime/linux-nm ./make.sh ./install.sh ./clean.sh ./tools-for-build/canonicalize-whitespace
-	chmod a+x ./tools-for-build/whitespacely-canonical-filenames ./tools-for-build/grep-noncanonical-whitespace  
-	chmod a+x ./tools-for-build/check-canonical-whitespace ./tools-for-build/canonicalize-whitespace-1
+	chmod a+x ./src/runtime/linux-nm ./make.sh ./install.sh ./clean.sh
 
 	./make.sh --xc-host="$(BOOTSTRAPLISP)" --prefix=$(CURDIR)/stage1 $(FEATURES)
 	./install.sh

## sbcl 1.3.7

=== debian/changelog ===
sbcl (2:1.3.7-1) unstable; urgency=medium

  * New upstream version
    changes in sbcl-1.3.7 relative to sbcl-1.3.6:
    * bug fix: preserve the name of the destructive function for the destroyed
      constant and important result warnings, even when declared NOTINLINE.
    * optimization: faster operations on list-sets.
    * optimization: better type derivation of set functions.
      (lp#1592152)
    * optimization: load-time TLS-INDEX assignment, and other
      microoptimizations, on x86.
    * optimizations in:
      * APPEND;
      * ECASE/ETYPECASE;
      * ARRAY-DIMENSIONS;
      * ARRAY-TOTAL-SIZE;
      * REMOVE, REMOVE-DUPLICATES, DELETE and DELETE-DUPLICATES on lists.
    changes in sbcl-1.3.6 relative to sbcl-1.3.5:
    * bug fix: do not insert conditional newlines in print-unreadable-object
      (lp#1398290). This reverses a change made in lp#488979 which reversed
      a fix advertised in release 0.8.14 to pass the GCL ANSI Test Suite.
    * bug fix: constant negative rotations of 32-bit quantites are compiled
      correctly on x86-64 and arm.  (lp#1586614, reported by Guillaume Le
      Vaillant)
    changes in sbcl-1.3.5 relative to sbcl-1.3.4:
    * enhancement: the platform's strtod() is exposed as SB-POSIX:STRTOD
    * enhancement: speed up debug info creation for highly nested functions.
      (lp#1563355)
    * enhancement: the interleaved structure slot optimization from
      release 1.2.6 has been ported to all architectures.
    * enhancement: support run-program I/O redirection into lisp streams on
      Windows.
    * bug fix: better wording in missed optimization note. (lp#1003265)
    * bug fix: interpreted (CAS SVREF) was broken
    * bug fix: support CLISP as build host for ARM (lp#1568256, thanks to Tomas
      Hlavaty)
    changes in sbcl-1.3.4 relative to sbcl-1.3.3:
    * enhancement: who-sets and who-references work on DEFGLOBAL. (lp#1552997)
    * enhancement: CONSTANTP understands backquote.
      e.g. (CONSTANTP '`(0 (,CHAR-CODE-LIMIT))) => T
    * optimization: improvements to sequence functions: CONCATENATE, SUBSTITUTE,
      REVERSE.
    * bug fix: SB-EVAL does not signal an error for (THE KEYWORD :FOO)
    * bug fix: a DEFTYPE name that is redefined into a DEFSTRUCT name
      is less likely to cause confusion in the compiler.
    * bug fix: DOCUMENTATION works as intended for classes with non-standard
      metaclasses
    * bug fix: (TYPEP <extended-sequence> <extended-sequence-class>) no longer
      returns NIL in certain situations
    * bug fix: MAKE-SEQUENCE, MAP, CONCATENATE and MERGE accept class objects as
      result-type
    * bug fix: MAKE-SEQUENCE, MAP, CONCATENATE and MERGE expand DEFTYPEs in
      result-type

 -- Christoph Egger <christoph@debian.org>  Tue, 05 Jul 2016 17:05:19 +0200

## sbcl 1.3.14

=== tools-for-build/Makefile ===
# This software is part of the SBCL system. See the README file for
# more information.
#
# This software is derived from the CMU CL system, which was
# written at Carnegie Mellon University and released into the
# public domain. The software is in the public domain and is
# provided with absolutely no warranty. See the COPYING and CREDITS
# files for more information.

-include genesis/Makefile.features
-include Config

CPPFLAGS:=-I../src/runtime
LDFLAGS:=$(LDFLAGS)
LDLIBS:=$(OS_LIBS)

all: grovel-headers determine-endianness where-is-mcontext \
        modify-ldt-struct-name sigaction-sa-nodefer-works-test

grovel-headers: CPPFLAGS+=-Wno-format

clean:
	rm -f *.o grovel-headers determine-endianness where-is-mcontext \
                modify-ldt-structure-name sigaction-sa-nodefer-works-test
	rm -f *.exe

=== contrib/sb-aclrepl/Makefile ===
SYSTEM=sb-aclrepl
include ../asdf-module.mk

=== doc/manual/Makefile ===
SBCLTEXI:=sbcl.texinfo
ASDFTEXI:=asdf.texinfo version.texinfo
DOCFILES:=*.texinfo $(ASDFTEXI)
TMPTYPES:=aux cp cps fn fns ky log pg toc tp tps vr vrs
TMPFILES:=$(foreach target,asdf sbcl,$(foreach type,$(TMPTYPES),$(target).$(type)))
PSFILES=sbcl.ps asdf.ps
PDFFILES=sbcl.pdf asdf.pdf
INFOFILES=sbcl.info asdf.info
HTMLDIRS=$(basename $(SBCLTEXI)) $(basename $(ASDFTEXI))
HTMLFILES=sbcl.html asdf.html
# Place where generated documentation ends up. The value of
# DOCSTRINGDIR has to end with a slash or you lose (it's passed to
# Lisp's `pathname' function).
DOCSTRINGDIR="docstrings/"
CONTRIB_SRC_DIR="../../contrib/"
CONTRIB_OBJ_DIR="../../obj/asdf-cache/"
I_FLAGS=-I $(DOCSTRINGDIR) -I $(CONTRIB_SRC_DIR)
# List of contrib modules that docstring docs will be created for.
MODULES=':sb-md5 :sb-queue :sb-concurrency :sb-rotate-byte :sb-grovel \
         :sb-sprof :sb-bsd-sockets :sb-cover :sb-posix'
# List of package names that docstring docs will be created for.
PACKAGES=":COMMON-LISP :SB-ALIEN :SB-DEBUG :SB-EXT :SB-GRAY :SB-MOP \
          :SB-PCL :SB-SYS :SB-SEQUENCE :SB-UNICODE \
          :SB-PROFILE :SB-THREAD :SB-MD5 :SB-QUEUE :SB-ROTATE-BYTE  \
          :SB-SPROF :SB-BSD-SOCKETS :SB-COVER :SB-POSIX :SB-CONCURRENCY"

# SBCL_SYSTEM is an optional argument to this make program. If this
# variable is set, its contents are used as the command line for
# invoking SBCL.

# When passing a non-standard SBCL_SYSTEM, be sure to set the
# environment variable SBCL_HOME to a useful value, as well.

ifeq ($(MAKEINFO),)
  MAKEINFO:=makeinfo
endif

ifeq ($(TEXI2PDF),)
  TEXI2PDF:=texi2dvi -p
endif

ifeq ($(DVIPS),)
  DVIPS:=dvips
endif

.PHONY: all
all: $(ASDFTEXI) ps pdf info html

.PHONY: dist
dist: html pdf

asdf.texinfo:
	rm -f asdf.texinfo
	ln -s ../../contrib/asdf/asdf.texinfo

version.texinfo:
	rm -f version.texinfo
	ln -s ../../contrib/asdf/version.texinfo

# html documentation; output in $(HTMLDIRS)
.PHONY: html
html: html-stamp

html-stamp: $(DOCFILES) docstrings
	@rm -rf $(HTMLDIRS)
	@rm -f $(HTMLFILES)
#	$(MAKEINFO) $(I_FLAGS) --html --css-include=style-multi.css $(SBCLTEXI)
#	$(MAKEINFO) --html --css-include=style-multi.css $(ASDFTEXI)
	$(MAKEINFO) $(I_FLAGS) --html --no-split --css-include=style-single.css $(SBCLTEXI)
	$(MAKEINFO) --html --no-split --css-include=style-single.css $(ASDFTEXI)
	touch html-stamp

# Postscript documentation
.PHONY: ps
ps: $(PSFILES)

%.ps: %.dvi
	dvips -o $@ $<

# DVI generation
%.dvi: %.texinfo $(DOCFILES) docstrings
	texi2dvi $(I_FLAGS) $<

# PDF documentation
.PHONY: pdf
pdf: $(PDFFILES)

%.pdf: %.texinfo $(DOCFILES) docstrings
	$(TEXI2PDF) $(I_FLAGS) $<

# info docfiles
.PHONY: info
info: $(INFOFILES)

%.info: %.texinfo $(DOCFILES) docstrings
	$(MAKEINFO) $(I_FLAGS) $<

# Texinfo docstring snippets
# Note: assumes contrib module names are the same as the names of
# directories containing the modules, and that these directories
# are in $(CONTRIB_OBJ_DIR).
CONTRIB_FASLS=$(shell find $(shell echo $(MODULES) | sed "s|:|$(CONTRIB_OBJ_DIR)|g") -name '*.fasl')
docstrings: $(CONTRIB_FASLS) tempfiles-stamp
	for module in $(shell echo $(MODULES)); do \
		test -f $(CONTRIB_OBJ_DIR)/`echo $$module | tr -d :`/test-passed.test-report \
		|| { echo "The documented contrib $$module seems \
                           to have failed its tests." && exit 1; } \
	done
	DOCSTRINGDIR=$(DOCSTRINGDIR) \
	PACKAGES=$(PACKAGES) \
	MODULES=$(MODULES) \
	sh make-tempfiles.sh "$(SBCL_SYSTEM)" && touch $(DOCSTRINGDIR)

tempfiles-stamp:
	touch tempfiles-stamp

.PHONY: clean
clean:
	rm -f *~ *.bak *.orig \#*\# .\#* texput.log *.fasl
	rm -rf $(HTMLDIRS) $(DOCSTRINGDIR)
	rm -f  $(HTMLFILES)
	rm -f contrib-docs.texi-temp
	rm -f package-locks.texi-temp
	rm -f variables.texinfo
	rm -f $(PSFILES) $(PDFFILES) html-stamp tempfiles-stamp
	rm -f $(TMPFILES) $(INDEXFILES)
	rm -f sbcl.info sbcl.info-* asdf.info

.PHONY: distclean
distclean: clean

=== debian/changelog ===
sbcl (2:1.3.14-2) unstable; urgency=medium

  * Upload to unstable

 -- Christoph Egger <christoph@debian.org>  Thu, 26 Jan 2017 11:40:42 +0100

sbcl (2:1.3.14-1) experimental; urgency=medium

  * New upstream version
    changes in sbcl-1.3.14 relative to sbcl-1.3.13:
      * minor incompatible change: the SB-PCL walker no longer recognizes
        macros expanding into a DECLARE expression. This is not a language change,
        since ANSI forbids such usage (X3J13 issue DECLARE-MACROS:FLUSH).
      * enhancement: for several macros such as MULTIPLE-VALUE-{BIND,SETQ}, COND,
        DO{,*,LIST}, {RESTART,HANDLER}-{BIND,CASE}, *CASE, conditions signaled
        during macroexpansion point to the form that caused the problem more
        accurately.
      * enhancement: the "--noinform" command-line option inhibits output from
        save-lisp-and-die in addition to removing the startup banner.
      * bug fix: PROCESS-KILL failed to return errno if the system call failed
      * optimization: slightly more comprehensive treatment of the keyword
        arguments to MAKE-ARRAY in compiler transformations.

 -- Christoph Egger <christoph@debian.org>  Thu, 26 Jan 2017 11:08:14 +0100

sbcl (2:1.3.13-2) unstable; urgency=medium

  * Replace pie patch by upstream one
  * upload to unstable

 -- Christoph Egger <christoph@debian.org>  Tue, 03 Jan 2017 01:26:56 +0100

sbcl (2:1.3.13-1) experimental; urgency=medium

  * New upstream release
    Uploading to experimental first due to the freeze
    changes in sbcl-1.3.13 relative to sbcl-1.3.12:
    * enhancement: SET triggers package locks on undefined variables.
      (lp#1645152)
    * enhancement: new Windows specific option to run-program, :escape-arguments
      (lp#1503496)
    * enhancement: recompiling a MAKE-INSTANCE form with an initarg :INITARG
      CONSTANT where CONSTANT names a constant variable picks up the new value
      of CONSTANT in case it has been redefined. (lp#1644944)
    * optimization: faster TYPEP on undefined at compile-time types and upcoming
      class definitions. (lp#1082967)
    * optimization: memory consumption of each STANDARD-OBJECT instance is
      reduced by 2 words if the compact-instance-header feature is enabled.
    * optimization: CONDITION instances are quicker to allocate.
    * optimization: unoptimized calls to FILL on specialized vectors are now
      just as fast as T vectors.
    * bug fix: get-timezone returns corret DST on 64-bit Windows. (lp#1641058)
    * bug fix: cross reference information in fasls is no longer incompatible
      between different cores (lp#1648186)
    changes in sbcl-1.3.12 relative to sbcl-1.3.11:
    * enhancement: on x86-64, compiled functions loaded from fasl files
      can not be moved, but can be freed, by GC. Additionally, COMPILE will
      produce immobile code if SB-C::*COMPILE-TO-MEMORY-SPACE* is set to
      :IMMOBILE. (Caution: the flag is experimental and subject to change.)
      The benefits are better physical separation of code from data,
      and potentially easier examination of live images by external tools.
    * enhancement: the docstring for SAVE-LISP-AND-DIE has been amended to
      say that the :ROOT-STRUCTURES parameter is not meaningless on gencgc,
      depending on the platform.
    * bug fix: calling a named function (e.g. a DEFUN) concurrently with
      redefining that same function could lead to execution of random bytes.
    * bug fix: yes-or-no-p accepts formatter functions (lp#1639490)
    * bug fix: better handling of exceptions on macOS.


 -- Christoph Egger <christoph@debian.org>  Mon, 02 Jan 2017 21:29:33 +0100

sbcl (2:1.3.11-1) unstable; urgency=medium

  * New upstream release
    changes in sbcl-1.3.11 relative to sbcl-1.3.10:
    * minor incompatible change: SB-EXT:*INTEXP-MAXIMUM-EXPONENT* is removed.
    * enhancement: TRACE ... :REPORT {TRACE,NIL} now work as advertised in the
      documentation string (based on patch by Patrick Stein)
    * enhancement: support unboxed signed-word structure slots on x86, x86-64
      and ARM64. (lp#377616)
    * optimization: faster logical bit-array operations on multidimensional
      arrays.
    * optimization: better GC performance in the presence of many threads.
      (patch by Ilya Perminov, lp#1339924)
    * optimization: multiple-value-call is optimized with multiple argument
      forms, not just one. (lp#753803)
    * bug fix: MAKE-ALIEN-STRING returns the number of allocated bytes as a
      second value as advertised (reported by Johann 'Myrkraverk' Oskarsson)
    * bug fix: when TO-READTABLE is supplied to COPY-READTABLE, it will
      contain only the macros in FROM-READTABLE and no others. (lp#1631506)
    * enhancement: gencgc has been modified for x86-64 on Linux and macOS
      to a support mark-and-sweep as well as the traditional copying strategy.
      It is conceivable that some applications might be adversely affected.
      Please see ':immobile-space' in 'base-target-features.lisp-expr'
      for further details, and possible reasons to disable this feature.
    * enhancement: x86-64 supports shrinking the fixed overhead in a structure
      from 2 words to 1 word, reducing memory consumption in applications
      which create many small structures.
  * [powerpc-concurrency-fix.patch] Re-add. Seems to still (again) be
    needed. Fixes powerpc build

 -- Christoph Egger <christoph@debian.org>  Sun, 06 Nov 2016 13:32:55 +0100

sbcl (2:1.3.10-2) unstable; urgency=medium

  * [Disable-PIE] Fix typo for i386 and add similar fixes for the other
    debian architectures (Closes: #837576) this time for real.

 -- Christoph Egger <christoph@debian.org>  Tue, 25 Oct 2016 22:42:01 +0200

sbcl (2:1.3.10-1) unstable; urgency=medium

  * New upstream version
    changes in sbcl-1.3.10 relative to sbcl-1.3.9:
    * enhancement: more compact low-level error signaling code
    * enhancement: more compact encoding of cross-reference information


=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: lisp
 Priority: optional
 Homepage: http://www.sbcl.org
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
 Uploaders:
  Peter Van Eynde <pvaneynd@debian.org>,
  Christoph Egger <christoph@debian.org>
@@ -15,14 +14,15 @@
  zlib1g-dev,
  texlive-extra-utils,
  texlive,
+ locales,
  graphviz,
  ghostscript,
  texlive-generic-recommended,
  texlive-font-utils,
  cm-super-minimal,
  time,
- netbase,
- locales-all
+ netbase
+Build-Conflicts: locales-all
 Standards-Version: 3.9.6
 Vcs-Git: http://anonscm.debian.org/git/pkg-common-lisp/sbcl.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/sbcl.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,7 @@
 	dh_testdir
 #   create the locale:
 	mkdir -p ${LOCALE_PATH}
+	#localedef -i "${LOCALE_NAME}" -f "${LOCALE_CHARSET}" "${LOCALE_PATH}/${LOCALE_NAME}.${LOCALE_CHARSET}"
 	export LC_ALL=${LOCALE_NAME}.${LOCALE_CHARSET}
 	export LANG=en_US.UTF-8
 	export LOCPATH=${LOCALE_PATH} 
@@ -61,7 +62,6 @@
 	chmod 100 stage1
 	./clean.sh
 	./make.sh --prefix="/usr/" --xc-host="$(CURDIR)/stage1/bin/sbcl --no-sysinit --no-userinit --disable-debugger" $(FEATURES)
-	chmod 700 stage1
 
 	make -C doc/internals all html

## sbcl 1.4.1

=== debian/changelog ===
sbcl (2:1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: bump to file format version 4.
  * Remove obsolete Breaks/Replaces against old versions of packages.
  * Remove useless ${shlibs:Depends} for arch:all packages.
  * Use secure URL for Vcs-Git.
  * Fix Vcs-Browser (Closes: #873168)
  * Remove armel from supported architectures, since SBCL requires ARM v5.
  * Mark sbcl-{doc,source} as M-A foreign.
  * Bump to debhelper compat level 10.
  * Remove d/upstream/signing-key.asc, because upstream does not provide a
    detached signature of the tarball (only signed hashsums).
  * Add a couple of files to debian/clean.
  * d/rules: replace DEB_BUILD_ARCH by DEB_HOST_ARCH, which is the correct
    value when cross-compiling.
  * Rename debian/docs into debian/sbcl.docs for clarity.
  * No longer install obsolete install-clc.lisp.
  * Rename debian/{prerm,postinst} to debian/sbcl.{prerm,postinst} for clarity.
  * No longer ship /etc/sbcl.rc (not loaded at runtime, contains obsolete CLC
    stuff).
  * Install an empty system-wide init file in /etc/sbclrc. (Closes: #608741)
  * Add support for nodoc and nocheck flags of DEB_BUILD_OPTIONS.
  * Bump Standards-Version to 4.1.1.
  * Add myself to Uploaders.
  * Do not leave debian/stage1/ unreadable (patch from Ubuntu).
  * Register sbcl.info into doc-base.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 01 Nov 2017 10:49:12 +0100

=== debian/control ===
Source: sbcl
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
           Christoph Egger <christoph@debian.org>,
           Sébastien Villemot <sebastien@debian.org>
Section: lisp
Priority: optional
Build-Depends: dh-lisp,
               debhelper (>= 10),
               sbcl,
               sbcl-source,
               texinfo,
               zlib1g-dev,
               texlive-extra-utils,
               texlive,
               locales,
               graphviz,
               ghostscript,
               texlive-generic-recommended,
               texlive-font-utils,
               cm-super-minimal,
               time,
               netbase
Build-Conflicts: locales-all
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/sbcl.git
Vcs-Git: https://anonscm.debian.org/git/pkg-common-lisp/sbcl.git
Homepage: http://www.sbcl.org

Package: sbcl
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 powerpc armhf arm64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: binfmt-support
Suggests: sbcl-doc,
          sbcl-source,
          slime
Breaks: cl-asdf (<< 2:3.1.5)
Provides: lisp-compiler,
          ${sbcl:fasl-version}
Description: Common Lisp compiler and development system
 SBCL is a development environment for the ANSI Common Lisp language.
 It provides a native-code compiler and an integrated debugger, as well
 as all the features in the ANSI specification.
 .
 SBCL also contains other extensions to the ANSI specification, including
 a foreign-function interface, a pseudo-server API, user-extensible
 stream functionality, a Meta-Object Protocol, and an ability to run
 external processes.
 .
 To browse SBCL source definitions with development environments,
 install the sbcl-source package. For documentation on SBCL's usage
 and internals, the package sbcl-doc is provided.

Package: sbcl-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Documentation for Steel Bank Common Lisp
 This package provides documentation for SBCL -- a development
 environment for the ANSI Common Lisp language.
 .
 The documents in this package cover SBCL-specific extensions to the
 language, explain how to use this Common Lisp implementation and how
 it differs from the ANSI standard.
 .
 The manual about SBCL's internals is also included in this package
 and may be of interest for people who intent to work with SBCL's
 source code.

Package: sbcl-source
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Source code files for SBCL
 This package provides the source code for SBCL -- a development
 environment for the ANSI Common Lisp language.
 .
 The source code is useful in conjunction with development
 environments and debuggers like SLIME, that allow macro expansion and
 lookup of source definitions.
 .
 Installing this package enables your source browser to dig deeply
 into the core of Steel Bank Common Lisp.

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-export sbcl_arch=$(shell dpkg-architecture -qDEB_BUILD_ARCH |sed s/i386/x86/)
-ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
+export sbcl_arch=$(shell dpkg-architecture -qDEB_HOST_ARCH |sed s/i386/x86/)
+ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq (${ARCH},powerpc)
    CFLAGS:=-O2
 endif
@@ -23,7 +23,7 @@
 DESTDIR=$(CURDIR)/debian/tmp/usr
 FEATURES=--fancy
 
-ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
+ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 ifeq (,$(BOOTSTRAPLISP))
 	BOOTSTRAPLISP=/usr/bin/sbcl --disable-debugger --no-sysinit --no-userinit
@@ -62,11 +62,16 @@
 	chmod 100 stage1
 	./clean.sh
 	./make.sh --prefix="/usr/" --xc-host="$(CURDIR)/stage1/bin/sbcl --no-sysinit --no-userinit --disable-debugger" $(FEATURES)
+	chmod 700 stage1
 
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	make -C doc/internals all html
+endif
 
 #   start running tests
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	-GNUMAKE=make sh -c 'cd tests && sh ./run-tests.sh' || printf "the tests failed\n"
+endif
 
 	src/runtime/sbcl --core output/sbcl.core --eval '(sb-ext:set-sbcl-source-location "/usr/share/sbcl-source/")' \
 	                 --eval '(sb-ext:save-lisp-and-die "output/sbcl.core")'
@@ -76,7 +81,9 @@
 build-indep: build-indep-stamp
 build-indep-stamp: build-arch
 	dh_testdir
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	cd doc/manual && make docstrings && make
+endif
 	touch build-indep-stamp
 
 clean:
@@ -107,7 +114,11 @@
 
 	INSTALL_ROOT="$(DESTDIR)" sh install.sh
 
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	dh_install
+else
+	dh_install -Nsbcl-doc
+endif
 
 	cp debian/binfmt $(TARGET)/usr/share/binfmts/sbcl
 	cp debian/sbcl-run $(TARGET)/usr/lib/sbcl
@@ -117,11 +128,13 @@
 
 #   move the indep stuff
 	dh_installinfo -psbcl-doc $(DESTDIR)/share/info/sbcl.info 
-	rm $(DESTDIR)/share/info/asdf.info $(DESTDIR)/share/info/sbcl.info
-	rm $(DESTDIR)/share/doc/sbcl/asdf.pdf
+	rm -f $(DESTDIR)/share/info/asdf.info $(DESTDIR)/share/info/sbcl.info
+	rm -f $(DESTDIR)/share/doc/sbcl/asdf.pdf
 
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	cp debian/index-docs.html \
 		$(DOC_TARGET)/usr/share/doc/sbcl-doc/html/index.html
+endif
 
 	rm -f $(SOURCE_TARGET)/usr/share/sbcl-source/contrib/asdf-install/asdf-install	
 	rm -f $(SOURCE_TARGET)/usr/share/sbcl-source/contrib/asdf/LICENSE
@@ -148,8 +161,6 @@
 	dh_lintian -i
 	dh_compress -i -X *.html
 	dh_fixperms -i
-#	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name .cvsignore -print0 | xargs -t0 rm -rf || true
-#	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name CVS -print0 | xargs -t0 rm -rf || true
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
@@ -162,7 +173,6 @@
 	dh_installchangelogs -a
 	dh_installdocs -a
 	dh_installexamples -a
-#	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name CVS -or -name .cvsignore -print0 | xargs -t0 rm -rf || true
 	dh_installman -a
 	dh_strip -a
 	dh_link -a

## sbcl 1.4.2

=== doc/manual/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 SBCLTEXI:=sbcl.texinfo
-ASDFTEXI:=asdf.texinfo version.texinfo
+ASDFTEXI:=asdf.texinfo
 DOCFILES:=*.texinfo $(ASDFTEXI)
 TMPTYPES:=aux cp cps fn fns ky log pg toc tp tps vr vrs
 TMPFILES:=$(foreach target,asdf sbcl,$(foreach type,$(TMPTYPES),$(target).$(type)))

=== debian/changelog ===
sbcl (2:1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Regenerate version.lisp-expr (with ".debian" suffix) from d/rules.
    As a consequence, drop set-debian-version.patch.
  * No longer delete /usr/lib/sbcl/sbcl.core in postinst's abort-* and prerm.
  * Remove useless sbcl-{doc,source}.dirs.
  * Simplify debian/rules using dh.
    Incidentally, inject flags from dpkg-buildflags. Also remove locales cruft.
  * Ship sbcl-internals manual in info format.
  * Bump Standards-Version to 4.1.2.
  * Rewrite debian/copyright from scratch using machine-readable format 1.0.
  * Fix test failures at build time:
    + add "ed" to Build-Depends, needed by some tests.
    + new testsuite-homedir.patch, needed because some tests expect HOME to be
      meaningful (which is not guaranteed when building Debian packages).
  * Use which (instead of full path) to detect presence of update-binfmts in
    postinst/prerm, to make lintian happy.
  * Add lintian override for hardening-no-pie.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 12 Dec 2017 15:50:59 +0100

=== debian/control ===
--- 
+++ 
@@ -13,16 +13,15 @@
                zlib1g-dev,
                texlive-extra-utils,
                texlive,
-               locales,
                graphviz,
                ghostscript,
                texlive-generic-recommended,
                texlive-font-utils,
                cm-super-minimal,
                time,
-               netbase
-Build-Conflicts: locales-all
-Standards-Version: 4.1.1
+               netbase,
+               ed
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/sbcl.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-common-lisp/sbcl.git
 Homepage: http://www.sbcl.org

## sbcl 1.4.3

=== doc/manual/Makefile ===
--- 
+++ 
@@ -75,18 +75,18 @@
 ps: $(PSFILES)
 
 %.ps: %.dvi
-	dvips -o $@ $<
+	dvips -q -o $@ $<
 
 # DVI generation
 %.dvi: %.texinfo $(DOCFILES) docstrings
-	texi2dvi $(I_FLAGS) $<
+	texi2dvi -q $(I_FLAGS) $<
 
 # PDF documentation
 .PHONY: pdf
 pdf: $(PDFFILES)
 
 %.pdf: %.texinfo $(DOCFILES) docstrings
-	$(TEXI2PDF) $(I_FLAGS) $<
+	$(TEXI2PDF) -q $(I_FLAGS) $<
 
 # info docfiles
 .PHONY: info

=== debian/changelog ===
sbcl (2:1.4.3-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: reflect upstream changes.
  * Bump to debhelper compat level 11.
  * Drop build-dependency on dh-lisp.
  * Bump Standards-Version to 4.1.3.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 21 Jan 2018 17:42:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
            Sébastien Villemot <sebastien@debian.org>
 Section: lisp
 Priority: optional
-Build-Depends: dh-lisp,
-               debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                sbcl,
                sbcl-source,
                texinfo,
@@ -21,7 +20,7 @@
                time,
                netbase,
                ed
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/sbcl.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-common-lisp/sbcl.git
 Homepage: http://www.sbcl.org

## sbcl 1.4.4

=== debian/changelog ===
sbcl (2:1.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Vcs-* fields now point to salsa.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 01 Feb 2018 10:56:57 +0100
